Bug 4533 - [UPDATE REQUEST] ScreenPen v0.0.3
: [UPDATE REQUEST] ScreenPen v0.0.3
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: Stanislav Fomin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-15 15:10 MSD by Stanislav Fomin
Modified: 2014-10-20 17:27 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
errors (5.04 KB, text/x-log)
2014-10-18 01:08 MSD, Alexander Petryakov
Details
Экран (4.83 KB, image/png)
2014-10-18 01:14 MSD, Alexander Petryakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Fomin 2014-10-15 15:10:00 MSD
Для релиза GNOME R3 надо обновить ScreenPen, чтобы он работал в соответствии с описанием
http://wiki.rosalab.com/ru/index.php?title=ScreenPen

Сборка
https://abf.io/build_lists/2305306
Comment 1 Stanislav Fomin 2014-10-16 16:52:31 MSD
64бита → https://abf.io/build_lists/2310046
Comment 2 Alexander Petryakov 2014-10-18 01:08:51 MSD
Created attachment 3353 [details]
errors

1) При запуске в VirtualBox в терминале появляются ошибки
2) Выход по кноке TAB работает
Comment 3 Alexander Petryakov 2014-10-18 01:14:13 MSD
Created attachment 3354 [details]
Экран

Вид экрана после запуска ScreenPen
Comment 4 Vladimir Potapov 2014-10-20 13:39:18 MSD
screenpen-0.0.3-2
http://abf-downloads.rosalinux.ru/rosa2012.1/container/2310046/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/2305306/x86_64/main/release/
***************************** Advisory **************
New package 
*****************************************************
QA Verified
Comment 5 Andrey Bondrov 2014-10-20 13:47:29 MSD
I'll mark it as published but I'll re-work spec and build this package myself.
Comment 6 Andrey Bondrov 2014-10-20 14:18:07 MSD
Т.к. оказалось, что пакет требует основательной переработки (обнаружилось расхождение 2012.1 и 2014.1 веток, крайне неудачная структура пакета и т.д.), то без QA его не буду публиковать. Новые билд-листы:

Advisory: "Move GNOME Shell extension out of main package"

2012.1:
https://abf.rosalinux.ru/build_lists/2316358
https://abf.rosalinux.ru/build_lists/2316359

2014.1:
https://abf.rosalinux.ru/build_lists/2316360
https://abf.rosalinux.ru/build_lists/2316361

Из изменений:
1. Расширение для GNOME Shell вынесено в отдельный пакет gnome-shell-extensions-screenpen, теперь установка самого screenpen не потянет за собой GNOME Shell и различные typelib-пакеты. Но если screenpen входит в образы с GNOME по умолчанию, то надо добавить в список пакетов gnome-shell-extensions-screenpen.
2. Синхронизированы ветки 2012.1 и 2014.1.
3. Спек очищен о всего лишнего.
Comment 7 Vladimir Potapov 2014-10-20 14:26:45 MSD
а вот за то, что gnome-shell не тянет - спасибо. Я не зарубил только потому что не регрессия.